Page MenuHomePhabricator

Prepare and check storage layer for wikimania2018wiki
Closed, ResolvedPublic

Event Timeline

Krenair created this task.Jan 10 2017, 7:38 PM
Marostegui moved this task from Triage to Next on the DBA board.Jan 10 2017, 7:52 PM
Marostegui added a subscriber: Marostegui.

If this is a public wiki (T155038#2934291), the DBAs do not have to do anything.
cloud-services-team will need to create the views once the tables are in place

Marostegui triaged this task as Normal priority.Jun 13 2017, 12:22 PM

We do have to do the sanitization of both sanitarium (currently, the 2 of them) and labsdbs.

DBA gents please let us know when it's ready for views and meta_p fixup and we'll get on it! Thanks

Will do @chasemp! The DB isn't yet created.
Thanks!

Reedy added a subscriber: Reedy.Aug 3 2017, 2:41 PM

Wiki is created now!

jcrespo moved this task from Blocked external/Not db team to Next on the DBA board.Aug 3 2017, 2:46 PM

Thanks: we will run our sanitization and private data checks, and extra grants needed, and when done, assign it to cloud team.

Mentioned in SAL (#wikimedia-operations) [2017-08-04T08:04:42Z] <marostegui> Sanitize wikimania2018wiki on sanitarium and sanitarium2 - T155041

Marostegui moved this task from Next to In progress on the DBA board.

I have sanitized all the hosts and ran a check_private data there.
I have also registered myself and checked that on the labs hosts my user has been sanitized correctly by the triggers.

views have been created on labsdb1001, labsdb1003, labsdb1009, labsdb1010 and extra grants added.
Pending labsdb1011 which is now doing an import of s7 (T153743) with replication stopped, I expect it will finish later tomorrow or so. So on Monday I will restart replication on labsdb1011 and once it gets the new wiki, I will check its sanitization, grants and if all goes fine I will create the views there too and will resolve this ticket.

Marostegui closed this task as Resolved.Aug 7 2017, 4:55 AM

labsdb1011 is now ready too.